program mricrogl;
{$include options.inc}
uses
  Forms,
  cutout in 'cutout.pas' {CutoutForm},
  about in 'about.pas' {AboutForm},
  clip in 'clip.pas' {ClipForm},
  mosaicprefs in 'mosaicprefs.pas' {MosaicPrefsForm},
  clutprefs in 'clutprefs.pas' {CLUTform},
  scriptengine in 'scriptengine.pas' {ScriptForm},
  messageu in 'messageu.pas' {MessageForm},
  histogram in 'histogram.pas',
  overlay in 'overlay.pas' {OverlayForm},
  colorbar in 'colorbar.pas' {ColorbarForm},
  mainunit in 'mainunit.pas' {GLForm1},
  readint in 'readint.pas' {ReadIntForm},
  uprefsform in 'uprefsform.pas' {PrefsForm};

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'mricrogl';
  Application.CreateForm(TGLForm1, GLForm1);
  Application.CreateForm(TReadIntForm, ReadIntForm);
  Application.CreateForm(TPrefsForm, PrefsForm);
  {$IFDEF ENABLECUTOUT}Application.CreateForm(TCutoutForm, CutoutForm);{$ENDIF}
  {$IFDEF ENABLEABOUT} Application.CreateForm(TAboutForm, AboutForm); {$ENDIF}
  {$IFDEF ENABLECLIP}Application.CreateForm(TClipForm, ClipForm);{$ENDIF}
  {$IFDEF ENABLEMOSAIC}Application.CreateForm(TMosaicPrefsForm, MosaicPrefsForm);{$ENDIF}
  {$IFDEF ENABLECLUT} Application.CreateForm(TCLUTform, CLUTform); {$ENDIF}
{$IFDEF ENABLESCRIPT}
  Application.CreateForm(TScriptForm, ScriptForm);
  Application.CreateForm(TMessageForm, MessageForm);
{$ENDIF}
{$IFDEF ENABLEOVERLAY}  Application.CreateForm(TOverlayForm, OverlayForm); {$ENDIF}
{$IFDEF ENABLECOLORBAR}  Application.CreateForm(TColorbarForm, ColorbarForm);{$ENDIF}
  Application.Run;
end.
